#include <AsyncWebServer_RP2040W.h>
#include "WebPage.h"

AsyncWebServer server(80);

void setup() {
Serial.begin(115200); 

WiFi.mode(WIFI_AP);
WiFi.softAP("ROBOT", "12345678");

pinMode(LED_BUILTIN, OUTPUT);
digitalWrite(LED_BUILTIN, HIGH);

pinMode(14, OUTPUT);//rechts zurück
pinMode(15, OUTPUT);//rechts vor

pinMode(16, OUTPUT);//links vor
pinMode(17, OUTPUT);//links zurück

Serial.println(WiFi.softAPIP());

server.on("/", [](AsyncWebServerRequest * request) {
webpage();
request->send(200, "text/html", webpageCont);
});

server.on("/vor", [](AsyncWebServerRequest * request) {
vor();
webpage();
request->send(200, "text/html", webpageCont); 
});

server.on("/sta", [](AsyncWebServerRequest * request) {
stand();
webpage();
request->send(200, "text/html", webpageCont); 
});

server.on("/zur", [](AsyncWebServerRequest * request) {
ruck();
webpage();
request->send(200, "text/html", webpageCont); 
});

server.on("/lin", [](AsyncWebServerRequest * request) {
links();
delay(400);
stand();
webpage();
request->send(200, "text/html", webpageCont); 
});

server.on("/rec", [](AsyncWebServerRequest * request) {
rechts();
delay(400);
stand();
webpage();
request->send(200, "text/html", webpageCont); 
});

server.begin();
}


void loop() {}


void stand(){
analogWrite(14, 0);
analogWrite(15, 0);
analogWrite(16, 0);
analogWrite(17, 0);
delay(500);
}

void vor(){
stand();
analogWrite(14, 0);
analogWrite(15, 250);
analogWrite(16, 255);
analogWrite(17, 0);
}

void ruck(){
stand();
analogWrite(14, 255);
analogWrite(15, 0);
analogWrite(16, 0);
analogWrite(17, 255);
}

void rechts(){
stand();
analogWrite(14, 255);
analogWrite(15, 0);
analogWrite(16, 255);
analogWrite(17, 0);
}

void links(){
stand();
analogWrite(14, 0);
analogWrite(15, 255);
analogWrite(16, 0);
analogWrite(17, 255);
}
